CertRepMessage (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.cmp

## Class CertRepMessage

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.CertRepMessage

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CertRepMessage
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertRepMessage(CMPCertificate[] caPubs, CertResponse[] response)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CMPCertificate[]` | `getCaPubs()`
    `static CertRepMessage` | `getInstance(java.lang.Object o)`
    `CertResponse[]` | `getResponse()`
    `ASN1Primitive` | `toASN1Primitive()` CertRepMessage ::= SEQUENCE { caPubs [1] SEQUENCE SIZE (1..MAX) OF CMPCertificate OPTIONAL, response SEQUENCE OF CertResponse }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertRepMessage

          public CertRepMessage(CMPCertificate[] caPubs,
                        CertResponse[] response)

  - ### Method Detail

    - #### getInstance

          public static CertRepMessage getInstance(java.lang.Object o)

    - #### getCaPubs

          public CMPCertificate[] getCaPubs()

    - #### getResponse

          public CertResponse[] getResponse()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           CertRepMessage ::= SEQUENCE {
                                    caPubs       [1] SEQUENCE SIZE (1..MAX) OF CMPCertificate
                                                                                       OPTIONAL,
                                    response         SEQUENCE OF CertResponse
           }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.